Functions
Initialization and de-initialization functions
Peripheral Driver » HAL Driver » DMA » Functions

Initialization and de-initialization functions. More...

Collaboration diagram for Initialization and de-initialization functions:

## Functions
hal_status_t | hal_dma_init (dma_handle_t *p_dma)
| Initialize the DMA according to the specified parameters in the dma_init_t and initialize the associated handle. More...
hal_status_t | hal_dma_deinit (dma_handle_t *p_dma)
| De-initialize the DMA peripheral. More...

## Detailed Description

Initialization and de-initialization functions.

     ===============================================================================
                 ##### Initialization and de-initialization functions  #####
     ===============================================================================
        [..]
        This section provides functions allowing to initialize the DMA Channel source
        and destination addresses, incrementation and data sizes, transfer direction,
        circular/normal mode selection, memory-to-memory mode selection and Channel priority value.
        [..]
        The hal_dma_init() function follows the DMA configuration procedures as described in
        reference manual.

## Function Documentation

## ◆ hal_dma_deinit()

hal_status_t hal_dma_deinit | ( | dma_handle_t * | p_dma | ) |

De-initialize the DMA peripheral.

Parameters

  [in] | p_dma | Pointer to a DMA handle which contains the configuration information for the specified DMA Channel.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_dma_init()

hal_status_t hal_dma_init | ( | dma_handle_t * | p_dma | ) |

Initialize the DMA according to the specified parameters in the dma_init_t and initialize the associated handle.

Parameters

  [in] | p_dma | Pointer to a DMA handle which contains the configuration information for the specified DMA Channel.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.